Name:           cockpit-image-builder
Version:        68
Release:        1.20250528111143041834.pr3103.16.gc8aa0fa5%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-69.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Wed May 28 2025 Packit <hello@packit.dev> - 68-1.20250528111143041834.pr3103.16.gc8aa0fa5
- cloudConfig: restart worker on submit (Gianluca Zuccarelli)
- cloudConfig: save the aws configs (Gianluca Zuccarelli)
- store/cockpitApi: add worker config mutation (Gianluca Zuccarelli)
- test/mocks: add cockpit modify (Gianluca Zuccarelli)
- cockpitApi: create worker config file (Gianluca Zuccarelli)
- cloudConfig: toggle aws config (Gianluca Zuccarelli)
- cloudConfig: error component (Gianluca Zuccarelli)
- cockpitApi: get worker config (Gianluca Zuccarelli)
- cockpitApi: add worker config types (Gianluca Zuccarelli)
- cloudConfig: configure the footer (Gianluca Zuccarelli)
- cloudConfig: switch validators to hooks (Gianluca Zuccarelli)
- cloudConfig: use select for region (Gianluca Zuccarelli)
- cloudConfig: add aws config fields (Gianluca Zuccarelli)
- cloudConfigSlice: add new slice (Gianluca Zuccarelli)
- CloudStatus: disable analytics for on-prem (Gianluca Zuccarelli)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
